#ifndef __PCF8591_H
#define __PCF8591_H

#include "main.h" 
#include "gpio.h"
#include "i2c.h"

#define MODE0 	0x00	//Channel0 = AIN0;
						//Channel1 = AIN1;
						//Channel2 = AIN2;
						//Channel3 = AIN3;
#define MODE1 	0x10	//Channel0 = AIN3-AIN0;
						//Channel1 = AIN3-AIN1
						//Channel2 = AIN3-AIN2;
#define MODE2 	0x20	//Channel0 = AIN0;
						//Channel1 = AIN1;
						//Channel2 = AIN3-AIN2;
#define MODE3 	0x30	//Channel0 = AIN1-AIN0;
						//Channel1 = AIN3-AIN2;
						
#define CHNL0 	0		//Using Channel0
#define CHNL1 	1		//Using Channel1
#define CHNL2 	2		//Using Channel2
#define CHNL3 	3		//Using Channel3

#define DAouputEn 0x40//0x50 or 0x60 or 0x70 is also ok!

#define PCF8591Add 0x90

void IICWriteOneByte(uint8_t DevAddress,uint8_t data);
void IICWriteTwoByte(uint8_t DevAddress,uint8_t control,uint8_t D_value);
uint8_t IICReadOneByte(uint8_t DevAddress);

#endif
