import time
from smbus import SMBus

address = 0x48

MODE0   = 0x00  #Channel0 = AIN0
                #Channel1 = AIN1
                #Channel2 = AIN2
                #Channel3 = AIN3

MODE1   = 0x10  #Channel0 = AIN3-AIN0
                #Channel1 = AIN3-AIN1
                #Channel2 = AIN3-AIN2

MODE2   = 0x20  #Channel0 = AIN0
                #Channel1 = AIN1
                #Channel2 = AIN3-AIN2

MODE3   = 0x30  #Channel0 = AIN1-AIN0
                #Channel1 = AIN3-AIN2

CHNL0      = 0x40  #Using Channel0
CHNL1      = 0x41  #Using Channel1
CHNL2      = 0x42  #Using Channel2
CHNL3      = 0x43  #Using Channel3

DAouputEn  = 0x40

PCF8591 = SMBus(1)

while True:
    PCF8591.write_byte(address, CHNL1)
    value0 = PCF8591.read_byte(address)
    
    PCF8591.write_byte(address, CHNL2)
    value1 = PCF8591.read_byte(address)
    
    PCF8591.write_byte(address, CHNL3)
    value2 = PCF8591.read_byte(address)
    
    PCF8591.write_byte(address, CHNL0)
    value3 = PCF8591.read_byte(address)
    time.sleep(0.1)
    PCF8591.write_byte_data (address, DAouputEn,value3)
    print("channel 0:",value0)
    print("channel 1:",value1)
    print("channel 2:",value2)
    print("channel 3:",value3)
    print("")
    time.sleep(1)